#if 0

  PressureView.h -- Pressure sensitive View subclass for painting

  by Peter Graffagnino, NeXT Computer Inc.

  You may freely copy, distribute, and reuse the code in this example.
  NeXT disclaims any warranty of any kind, expressed or  implied, as to its
  fitness for any particular use.

#endif

#import <appkit/View.h>

@interface PressureView : View
{
    id proximityText;
    id backingImage;
    id brush;
    BOOL pressureState;
    BOOL coalesceState;
}


- initFrame:(const NXRect *)r;
- free;
- clear:sender;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo: (NXCoord) x : (NXCoord) y;
- mouseDown:(NXEvent *)e;
- (BOOL) acceptsFirstResponder;
- awakeFromNib;
- flagsChanged:(NXEvent *)e;
- setCoalesceState:sender;
- setPressureState:sender;
- resetCursorRects;
- setPressureRect;


@end
